﻿using EVCB_OCPP.Packet.Messages.SubTypes;
using EVCB_OCPP.WSServer.Dto;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Net;
using System.Threading.Tasks;

namespace EVCB_OCPP.WSServer.Service
{
    public class LocalBusinessService : IBusinessService
    {

        string customerId = string.Empty;

        public LocalBusinessService(string customerId)
        {
            this.customerId = customerId;
        }

        async public Task<IdTagInfo> Authorize(string chargeBoxId, string idTag)
        {
            await Task.Delay(10);          

            return new IdTagInfo() { expiryDate = DateTime.UtcNow.AddDays(1), status = AuthorizationStatus.Accepted };

        }

        async public Task NotifyConnectorUnplugged(string chargeBoxId, string data)
        {
            await Task.Delay(10);
        }

        async public Task NotifyFaultStatus(ErrorDetails details)
        {
            await Task.Delay(10);
        }
    }
}
